import type { KoliBriModalEventCallbacks, LabelPropType, ModalAPI, ModalStates } from '../../schema';
import type { JSX } from '../../stencil-public-runtime';
export declare class KolModal implements ModalAPI {
    private refDialog?;
    componentDidRender(): void;
    disconnectedCallback(): void;
    private handleNativeCloseEvent;
    openModal(): Promise<void>;
    closeModal(): Promise<void>;
    render(): JSX.Element;
    _activeElement?: HTMLElement | null;
    _label: LabelPropType;
    _on?: KoliBriModalEventCallbacks;
    _width?: string;
    state: ModalStates;
    validateActiveElement(value?: HTMLElement | null): void;
    validateLabel(value?: LabelPropType): void;
    validateOn(value?: KoliBriModalEventCallbacks): void;
    validateWidth(value?: string): void;
    componentWillLoad(): void;
}
